Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
CentralDir Class Reference
Zip Code » Zip Code Internals

`#include <centralDir.h>`

Inheritance diagram for CentralDir:

## Public Member Functions
| CentralDir ()
| CentralDir (FileHeader &fh)
virtual | ~CentralDir ()
virtual bool | read (Stream *stream)
virtual bool | write (Stream *stream)
void | setFileComment (const char *comment)
Public Member Functions inherited from FileHeader
| FileHeader ()
virtual | ~FileHeader ()
ExtraField * | findExtraField (U16 id)
void | setFilename (const char *filename)

## Public Attributes
U16 | mDiskNumStart
U16 | mInternalFileAttr
U32 | mExternalFileAttr
U32 | mLocalHeadOffset
U16 | mVersionMadeBy
const char * | mFileComment
U32 | mInternalFlags
Public Attributes inherited from FileHeader
U32 | mHeaderSig
U16 | mExtractVer
U16 | mFlags
U16 | mCompressMethod
U16 | mModTime
U16 | mModDate
U32 | mCRC32
U32 | mCompressedSize
U32 | mUncompressedSize
const char * | mFilename
Vector< ExtraField * > | mExtraFields

## Additional Inherited Members
Protected Member Functions inherited from FileHeader
bool | readExtraFields (Stream *stream, U16 efLen)

## Constructor & Destructor Documentation

CentralDir | ( |  | ) |

CentralDir | ( | FileHeader & | fh | ) |

~CentralDir | ( |  | ) |
| virtual

## Member Function Documentation

bool read | ( | Stream * | stream | ) |
| virtual

Reimplemented from FileHeader.

void setFileComment | ( | const char * | comment | ) |

bool write | ( | Stream * | stream | ) |
| virtual

Reimplemented from FileHeader.

## Member Data Documentation

U16 mDiskNumStart

U32 mExternalFileAttr

const char* mFileComment

U16 mInternalFileAttr

U32 mInternalFlags

U32 mLocalHeadOffset

U16 mVersionMadeBy

The documentation for this class was generated from the following files:

- io/zip/centralDir.h
- io/zip/centralDir.cc